package com.iamberry.wechat.handles.drp;

import javax.servlet.http.HttpServletRequest;

import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;

import com.iamberry.wechat.core.entity.ResultMsg;
import com.iamberry.wechat.core.entity.WechatUtils;
import com.iamberry.wechat.tools.NameUtils;
import com.iamberry.wechat.tools.ResultInfo;


/**
 * @description 分销收支统计及其记录表
 * @author 欧阳明
 * @Date 2016-04-20
 */
@Controller
@RequestMapping("/wechat/placeLogs")
public class PlaceLogsHandler {

	//返回处理结果
	 public ResultMsg getSuccessResult(){
		ResultMsg remsg=new ResultMsg();
		remsg.setResultCode(ResultInfo.SUCCESSCODE);
		remsg.setMessage(NameUtils.getConfig("SUCCESSINFO"));
		remsg.setStatus(true);
		return remsg;
	 }
	 
	//获取openid
	public String getOpenid(HttpServletRequest request){
		return WechatUtils.getUserBySession(request).getUserOpenid();
	}
}
	
